Subject: Re: Write Combining on PowerPC

From: Randy Vinson <[email-masked]>
Date: Fri, 10 Dec 2004 16:21:07 -0700

Kendall Bennett wrote:

[snip]

> Does anyone know if it is possible to do something similar to Write 
> Combining for the PowerPC architecture, to speed up CPU access to the 
> linear framebuffer?

Yes, it is possible. First you will need to enable Store Gathering for 
the Sandpoint's MPC107 bridge. (Go to Platform options->Enable MPC10x 
store gathering). You will then need to set the page protections for the 
video memory such that _PAGE_GUARDED is removed. The hardware will not 
store gather to an area mapped guarded. There appears to be some code to 
support this in the PCI MMap routines, but I'm not familiar with the 
details.

		Randy Vinson